Avro C#

Public Member Functions | Static Public Member Functions | Properties | List of all members
Avro.Protocol Class Reference

A set of messages forming an application protocol. More...

## Public Member Functions
| Protocol (string name, string space, string doc, IEnumerable< Schema > types, IDictionary< string, Message > messages)
| Constructor for Protocol class More...
override string | ToString ()
| Writes Protocol in JSON format More...
override bool | Equals (object obj)
| Tests equality of this protocol object with the passed object More...
override int | GetHashCode ()
| Returns the hash code of this protocol object More...

## Static Public Member Functions
static Protocol | Parse (string jstring)
| Parses the given JSON string to create a Protocol object More...

## Properties
string | Name`[get, set]`
| Name of the protocol More...
string | Namespace`[get, set]`
| Namespace of the protocol More...
string | Doc`[get, set]`
| Documentation for the protocol More...
IList< Schema > | Types`[get, set]`
| List of schemas objects representing the different schemas defined under the 'types' attribute More...
IDictionary< string, Message > | Messages`[get, set]`
| List of message objects representing the different schemas defined under the 'messages' attribute More...
byte[] | MD5`[get]`
| MD5 hash of the text of this protocol. More...

## Detailed Description

A set of messages forming an application protocol.

## Constructor & Destructor Documentation

## ◆ Protocol()

Avro.Protocol.Protocol | ( | string | name,
|  | string | space,
|  | string | doc,
|  | IEnumerable< Schema > | types,
|  | IDictionary< string, Message > | messages
| ) |  |
| inline

Constructor for Protocol class

Parameters

  name | required name of protocol
  space | optional namespace
  doc | optional documentation
  types | required list of types
  messages | required list of messages

## Member Function Documentation

## ◆ Equals()

override bool Avro.Protocol.Equals | ( | object | obj | ) |
| inline

Tests equality of this protocol object with the passed object

Parameters

  obj |

Returns

## ◆ GetHashCode()

override int Avro.Protocol.GetHashCode | ( |  | ) |
| inline

Returns the hash code of this protocol object

Returns

## ◆ Parse()

static Protocol Avro.Protocol.Parse | ( | string | jstring | ) |
| inline static

Parses the given JSON string to create a Protocol object

Parameters

  jstring | JSON string

Returns
  Protocol object

## ◆ ToString()

override string Avro.Protocol.ToString | ( |  | ) |
| inline

Writes Protocol in JSON format

Returns
  JSON string

## Property Documentation

## ◆ Doc

string Avro.Protocol.Doc
| get set

Documentation for the protocol

## ◆ MD5

byte [] Avro.Protocol.MD5
| get

MD5 hash of the text of this protocol.

## ◆ Messages

IDictionary<string,Message> Avro.Protocol.Messages
| get set

List of message objects representing the different schemas defined under the 'messages' attribute

## ◆ Name

string Avro.Protocol.Name
| get set

Name of the protocol

## ◆ Namespace

string Avro.Protocol.Namespace
| get set

Namespace of the protocol

## ◆ Types

IList<Schema> Avro.Protocol.Types
| get set

List of schemas objects representing the different schemas defined under the 'types' attribute

The documentation for this class was generated from the following file:

- src/apache/main/Protocol/Protocol.cs